Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (Jim Balter)

10 Feb 1997 21:25:09 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Keith Gary Boyce <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Keith Gary Boyce wrote:
> 
> I agree I have no copyright on any of the code but I did send in patches
> for header files and I did port wxwindows to gnu-win32 platform. Also
> i've seen other patches sent in by several other people (thus the use
> of the term collective).

Unless Cygnus is going to charge people for wxwindows, it hardly
seems relevant.  As for patches, what percentage of cygwin.dll
(remember, *only* cygwin.dll is relevant here; patches to GNU utilities
or anything else that Cygnus does not have the copyright for are
irrelevant) is made up of such patches?

> No problem with cygnus doing anything they want in fact. The only problem
> I have is that I can't do anything I want.

You can collect up all the patches you have seen, ask the authors
for their right to use them just to be sure, and build your own
cygwin-like library.

> In fact even that is not that
> important since I have no aspirations to make money through this project.
> What I view is a problem is what I have heard while working with people not
> associated with cygnus (regarding porting their programs over to win95).
> It seems everyone is excited at first about not having to be tied to
> microsoft or borland but when it becomes apparent that they have to share
> their source code they become disinterested in using gcc.

Using gcc does not force people to share their source code (I don't
think; see below).  cygwin.dll is not gcc.

> The reason why it
> is important to convert people over to using gcc is that the more people
> that are involved the more likely it is that progress is made.
> (Linux effort for instance). If people are willing to give away their
> programs for free but not willing to part with their source code and
> with gnu-win32 they can't then that is a problem.

You are mixing up gcc with gnu-win32.  Cygnus apparently no longer
shares the FSF philosophy towards free software.  That's their right,
of course.  That it is a "problem" for others who also don't share
the FSF philosophy that they don't get to both use Cygnus's code
and hoard their own seems like a fitting problem, to me.

> My mailing is not so say that cygnus has done anything wrong. In fact
> I think that they have been very good to us giving us a free compiler
> for windows.

I believe you can use the compiler, which is under the LGPL, and still
hoard your source.

> I am just trying to say that to bring others to this effort
> in thousands rather than hundreds we at least have to be able to produce
> native binaries without cygnus's library.

You can already do that with mingw32, so what's the issue here?
mingw32 isn't a Cygnus project and isn't affected by Cygnus's decision
in re cygwin.dll, I don't think.  Unless the fact that gcc itself uses
cygwin.dll infects programs compiled with gcc, but I don't think so
(I'd have to read the GPL and LGPL again very carefully to be sure).

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".